summarylogtreecommitdiffstats
path: root/geekeditor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'geekeditor.sh')
-rw-r--r--geekeditor.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/geekeditor.sh b/geekeditor.sh
new file mode 100644
index 000000000000..c77c53567639
--- /dev/null
+++ b/geekeditor.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
+else
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
+fi \ No newline at end of file